﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Infragistics.Win.Misc;

namespace PersistenceManagerUltraTilePanel
{
    public partial class Form1 : Form
    {
        string _settings = Application.StartupPath + @"\settings.xml"; 

        public Form1()
        {
            InitializeComponent();
        }
        
        private void ultraButton3_Click(object sender, EventArgs e)
        {
            foreach (UltraTile item in ultraTilePanel1.Tiles)
            {
                MessageBox.Show(item.Caption + " " + item.PositionInNormalMode.ToString());
            }
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            this.ultraTilePanel1.SaveAsXml(_settings);
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            if (_settings != null)
            {
                this.ultraTilePanel1.LoadFromXml(_settings);
            }
           
        }
    }
}
